# Class Base

Namespace
  Awperative

Assembly
  Awperative.dll

Base class of Awperative. Carries events from MonoGame into scenes and hooks.

    public sealed class Base : Game, IDisposable

Inheritance
  object
  Game
  Base

Implements
  IDisposable

Inherited Members
  Game.Dispose()
  Game.Exit()
  Game.ResetElapsedTime()
  Game.SuppressDraw()
  Game.RunOneFrame()
  Game.Run()
  Game.Run(GameRunBehavior)
  Game.Tick()
  Game.LaunchParameters
  Game.Components
  Game.InactiveSleepTime
  Game.MaxElapsedTime
  Game.IsActive
  Game.IsMouseVisible
  Game.TargetElapsedTime
  Game.IsFixedTimeStep
  Game.Services
  Game.Content
  Game.GraphicsDevice
  Game.Window
  Game.Activated
  Game.Deactivated
  Game.Disposed
  Game.Exiting
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### Draw(GameTime)

Draw() is called every frame; after Update(). Override Draw() in scripting tools to call from this event.

    protected override void Draw(GameTime __gameTime)

#### Parameters

`__gameTime` GameTime

#### Remarks

Hooks are unable to receive both Update() and Draw()

### EndRun()

EndRun() is called if the program closes. Override Terminate() in scripting tools or use hooks to call from this event.

    protected override void EndRun()

#### Remarks

This event may not trigger if the program is force closed.

### Initialize()

Initialize() is called when the program starts. Goes before LoadContent(). And prepares the kernel for use.

    protected override void Initialize()

#### Remarks

It is recommended not to load content in Initialize()

### LoadContent()

LoadContent() is called when the program starts; right after Initialize(). Override Load() in scripting tools or use hooks to call from this event.

    protected override void LoadContent()

#### Remarks

It is recommended to load content during LoadContent()

### Update(GameTime)

Update() is called every frame; before Draw(). Override Update() in scripting tools to call from this event.

    protected override void Update(GameTime __gameTime)

#### Parameters

`__gameTime` GameTime

#### Remarks

Hooks are unable to receive both Update() and Draw()